# TODO

- [ ] License

## Code
- [ ] Nix Shell
- [ ] Analytics
- [ ] Organize code better
- [ ] Type slug of project

## CI/CD
- [ ] Staging environment
- [ ] Deploy to staging environment on push to master
- [ ] Deploy to production environment on push tag to master

## SEO
- [ ] Meta tags on each page

## Layout
- [ ] Dark mode toggle
- [x] Navigate using pathname / breadcrumbs
- [ ] Better style for \<code /> blocks

## Accessibility
- [ ] All interactable elements have labels

## I18N
- [ ] Markdown for translations

## ~/
- [ ] About me description
- [ ] Limit latest projects to N (5?)

## ~/about
- [ ] About me

## ~/links

## ~/projects
- [ ] Translate projects
- [ ] RSS Feed

## ~/projects/[project]
- [ ] Only use Gitea icon for Gitea links
- [ ] Bachelor project
- [x] Sparebank1 ActualBudget service
- [ ] More about this website
- [ ] NixOS on desktop
- [ ] Copy link to h tag and scroll to h tag on load
- [x] External links should open in new tab
- [x] Add keywords to meta tag
- [x] Add description to meta tag
- [ ] Source on image if "borrowed" from somewhere

## ~/slashes
- [ ] List of all slashes

## ~/uses
- [x] Homelab uses
- [x] Raspberry PI uses
- [ ] Hardware anchor

## ~/certifications
- [ ] Embed certifications

## ~/tools

### /simplify-truths
- [ ] Merge simplify truths implementation
